/*===== VARIABLE CSS ======*/
:root{
	--header-height: 3rem;
	--font-semi: 600;
	--font-bold: 700;
}

/*===== COLORS ======*/
:root{
	--first-color: #E55947;
	--first-color-alt: #D2321E;
	--white-color: #ffffff;
	--dark-color: #101010;
	--dark-color-light: #606060;
	--gray-color: #F0F1F3;
}

/*===== Font styles =====*/
/*Mobile Font size*/
:root{
	--font-body: "Poppins", sans-serif;
	--big-font-size: 3rem;
	--h1-font-size: 1.5rem;
	--h2-font-size: 1.25rem;
	--normal-font-size: .938rem;
	--small-font-size: .75rem;
}

/*Desktop Font size*/
@media screen and (min-width: 738px) {
	:root{
	--big-font-size: 6rem;
	--h1-font-size: 2.25rem;
	--h2-font-size: 1.5rem;
	--normal-font-size: 1rem;
	--small-font-size: .813rem;
	}	
}

/*===== MARGINS ======*/
:root{
	--mb-1: .5rem;
	--mb-2: 1rem;
	--mb-3: 1.5rem;
	--mb-4: 2rem;
}

/*===== z-index ======*/
:root{
	--z-tooltip: 10;
	--z-fixed: 100;
}

/*===== Base ======*/
*,::before,::after{
	box-sizing: border-box;
}

html {
	scroll-behavior: smooth;
}

body {
	margin: var(--header-height)0 0 0;
	font-family: var(--body-font);
	font-size: var(--normal-font-size);
	color: var(--dark-color);
	line-height: 1.6;
}

h1, h2, p{
	margin: 0;
}

ul {
	margin: 0;
	padding: 0px;
	list-style: none;
}

a {
	text-decoration: none;
	color: var(--dark-color);
}

img {
	max-width: 100%;
	height: auto;
}


/*===== Class CSS ======*/
.section {
	padding: 3rem 0;
}

.section-title {
	font-size: var(--h2-font-size);
	color: var(--dark-color);
	font-weight: var(--font-semi);
	color: var(--dark-color-light);
	text-align: center;
	margin-bottom: var(--mb-2);
}

/*===== Layouts ======*/

.bd-grid{
	max-width: 1024px;
	display: grid;
	grid-template-columns: 100%;
	grid-column-gap: 2rem;
	width: calc(100% - 3rem);
	margin-left: var(--mb-3);
	margin-right: var(--mb-3);
}

.header-1 {
	width: 100%;
	position: fixed;
	top: 0;
	left: 0;
	z-index: var(--z-fixed);
	background-color: var(--gray-color);
}

/*===== NAV ======*/
.nav{
	height: var(--header-height);
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.nav_logo {
	font-weight: var(--font-bold);
}

.nav_logo:hover {
	text-decoration: none;
	color: var(--first-color);
}
@media screen and (max-width: 768px) {
	.nav_menu {
		position: fixed;
		top: var(--header-height);
		right: -100%;
		width: 80%;
		height: 100vh;
		padding: 2rem;
		background-color: var(--white-color);
		transition: .5s;
		opacity: .9;
	}
}

.nav_item {
	margin-bottom: var(--mb-4);
}

.nav_link {
	color: var(--dark-color);
	font-weight: var(--font-semi);
}

.nav_link:hover {
	color: var(--font-color);
}

.nav-cart {
	font-size: 1.5rem;
	margin-right: var(--mb-2);
}

.nav-toggle {
	font-size: 1.5rem;
	cursor: pointer;
}
/*===== Show menu ======*/
.show {
	right: 0;
}

.active {
	color: var(--first-color);
}

/*===== HOME ======*/
.home {
	background-color: var(--gray-color);
}

.home_container {
	/* Most important lesson when doing css by section,
	   always consider the height of the section in order to achiev an excellent and satisfying section
	   Take a look on the code:
	 */
	height: calc(100vh - var(--header-height));
}

.home_data {
	padding-top: 6rem;
}

.home_title {
	align-self: center;
	font-size: var(--big-font-size);
	line-height: 1;
	letter-spacing: .5rem;
	margin-bottom: 4rem;
}

.home_title span {
	font-size: var(--h1-font-size);
	font-weight: var(--font-bold);
}

.home_img {
	position: absolute;
	right: 0;
	bottom:0;
	width: 260px;
}

/*==== BUTTONS ====*/
.button {
	display: inline-block;
	background-color: var(--first-color);
	color: var(--white-color);
	padding: 1rem;
	font-size: var(--small-font-size);
	font-weight: var(--font-semi);
	transition: .3s;
}

.button:hover {
	background-color: var(--first-color-alt);
	text-decoration: none;
	color: var(--white-color);
}

/*==== Collection ====*/
.collection_container {
	grid-row-gap: 2rem;
}

.collection_box {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 0 1.5rem;
	background-color: var(--gray-color);
	transition: .3s;
}

.collection_box:hover {
	transform: translateY(-.5rem);
}

.collection_img {
	width: 100px;
}

.collection_title {
	font-size: var(--h1-font-size);
	line-height: 1.2;
	margin-bottom: var(--mb-2);
	text-transform: uppercase;
	font-weight: var(--font-semi);
}

.collection_subtitle {
	font-size: var(--h2-font-size);
	color: var(--dark-color-light);
}

.collection_view {
	font-size: var(--small-font-size);
	color: var(--dark-color-light);
}

.collection_view:hover {
	text-decoration: none;
	color: var(--first-color);

}

/*==== Featured Products ====*/

.featured_container {
	grid-row-gap: 2rem;
}

.section-all {
	display: block;
	font-size: var(--small-font-size);
	font-weight: var(--font-semi);
	text-align: center;
	margin: var(--mb-2);
	font-weight: var(--font-semi);

}

.section-all:hover {
	text-decoration: none;
	color: var(--first-color);
}

.featured_product {
	transition: .3s;
}

.featured_product:hover {
	transform: translateY(-.5rem);
}

.featured-box {
	position: relative;
	display: flex;
	justify-content: center;
	background-color: var(--gray-color);
	margin-bottom: var(--mb-2);
}

.featured_new {
	position: absolute;
	top: 0;
	left: 0;
	background-color: var(--first-color);
	color: var(--white-color);
	padding: .3rem .75rem;
	font-size: var(--small-font-size);
}

.featured_data {
	text-align: center;
}

.featured_name {
	margin-bottom: var(--mb-1);
	text-transform: uppercase;
	font-size: var(--normal-font-size);
	font-weight: var(--font-bold);
}

.featured_price {
	color: var(--dark-color-light);
	font-weight: var(--font-semi);
}

.featured_img {
	margin: 65px;
	width: 200px;
}

/*===== OFFERS ======*/
.offer_bg {
	background: url('../images/offer1.jpeg')no-repeat center/cover;
	text-align: center;
}

.offer-data {
	padding: 3.5rem .25rem;
	background: rgba(0,0,0,.5);
	color: var(--white-color);
}

.offer_title {
	font-size: var(--h1-font-size);
	letter-spacing: .2rem;
	text-transform: uppercase;
	font-weight: var(--font-semi);
}

.offer_description {
	margin-bottom: var(--mb-2);
	letter-spacing: .2rem;
}


/*===== NEW ARRIVALS ======*/

.new_container {
	grid-row-gap: 2rem;
}

.new_box {
	position: relative;
	display: flex;
	justify-content: center;
	background-color: var(--gray-color);
	overflow: hidden;
}

.new_link {
	position: absolute;
	bottom: -100%;
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	background: rgba(229,89,71,.2);
	transition: .3s;

}

.new_img {
	margin: 65px;
	width: 200px;
}

.new_box:hover .new_link{
	bottom: 0;
}


/*===== NEWSLETTER ======*/

.newsletter{
	text-align: center;
}

.newsletter_description {
	margin-bottom: var(--mb-2);
	font-size: var(--small-font-size);
	color: var(--dark-color-light);
}

.newsletter_form {
	display: grid;
	grid-template-columns: 1fr .5fr;
}

.newsletter_input {
	outline: none;
	border: none;
	background-color: var(--gray-color);
	padding: 0 1rem;
}


/*===== SPONSORS ======*/

.sponsors_container {
	grid-template-columns: repeat(2,1fr);
}

.sponsors_logo {
	display: flex;
	justify-content: center;
}

.sponsors_logo img{
	width: 100px;
	filter: opacity(70%);
}

.sponsors_logo img:hover {
	filter: none;
}

/*==== Footer ====*/

.footer {
	background-color: var(--dark-color);
	color: var(--white-color);
}

.footer_container {
	grid-row-gap: 1.5rem;
	margin-bottom: var(--mb-4);
}

.footer_title {
	margin-bottom: var(--mb-1);
}

.footer_deal {
	margin-bottom: var(--mb-1);
	font-size: var(--normal-font-size);
}

.footer_store {
	width: 150px;
}

.footer_link, .footer_social {
	color: var(--dark-color-light);
}

.footer_link:hover {
	color: var(--first-color);
}

.footer_social {
	font-size: 1.3rem;
	margin-right: var(--mb-1);
}

.footer_copy {
	border-top: 1px solid var(--dark-color-light);
	padding-top: 3rem;
	text-align: center;
	color: var(--dark-color-light);
	font-size: var(--small-font-size);
}

.not_footer_link, .greetings {
	color: var(--dark-color-light);
}

.greetings:hover {
	color: var(--first-color);
	text-decoration: none;
}

/*==== MEDIA QUERIES ====*/

@media screen and (min-width: 768px) {
	body {
		margin: 0;
	}

	.section-all {
		margin-bottom: var(--mb-4);
	}

	.nav {
		height: calc(var(--header-height) + 1rem);
		justify-content: initial;
	}

	.nav_menu {
		margin-left: auto;
	}

	.nav_list {
		display: flex;
	}

	.nav_item {
		margin-left: var(--mb-4);
		margin-bottom: auto;
	}

	.nav_toggle {
		display: none;
	}

	.home_container {
		height: 100vh;
	}

	.home_data {
		padding: 0;
		height: max-content;
		align-self: center;
	}

	.home_title {
		line-height: .8;
		letter-spacing: 1.5rem;
	}

	.home_img {
		width: 340px;
	}

	.collection_container {
		grid-template-columns: repeat(2,1fr);
		grid-template-rows: 1fr;
	}

	.collection_box {
		padding: .5rem 3rem 0;
	}

	.collection_img {
		width: 130px;
	}

	.featured_container,
	.sponsors_container,
	.footer_container {
		grid-template-columns: repeat(4,1fr);
	}

	.featured_product {
		margin:0 var(--mb-1) 
	}

	.featured_img {
		height: 180px;
	}

	.offer_data {
		padding: 5rem 0;
	}

	.new_container {
		grid-template-columns: repeat(3, 1fr);
	}

	.newsletter_form {
		width: 400px;
		margin: 0 auto;
	}

	/*.sponsors_container {
		display: flex;
		justify-content: center;
	}*/

	.not_footer_link, .greetings {
		font-size: var(--small-font-size);
	}


	@media screen and (min-width: 1024px) {
		.bd-grid {
			margin-left: auto;
			margin-right: auto;
		}

		.home_data {
			padding-left: 7rem;
		}

		.home_img {
			right: 15%;
		}
	}